TICKIT_RENDERBUFFER_SKIP(3)

NAME
tickit_renderbuffer_skip, tickit_renderbuffer_skip_at, tickit_renderbuffer_skip_to - create skip regions

SYNOPSIS
    #include <tickit.h>

    void tickit_renderbuffer_skip(TickitRenderBuffer *rb,
             int cols);
    void tickit_renderbuffer_skip_to(TickitRenderBuffer *rb,
             int col);
    void tickit_renderbuffer_skip_at(TickitRenderBuffer *rb,
             int line, int col, int cols);

    void tickit_renderbuffer_skiprect(TickitRenderBuffer *rb,
             TickitRect *rect);

Link with -ltickit.

DESCRIPTION
tickit_renderbuffer_skip() creates a skip region that starts at the current virtual cursor position, continuing on for cols cells. tickit_renderbuffer_skip_to() creates a skip region that continues until the given column if the cursor was before that, or has no effect if it was after. Both of these functions will update the virtual cursor position.

tickit_renderbuffer_skip_at() creates a skip region at the given position and length. This function does not use or update the virtual cursor position.

tickit_renderbuffer_skiprect() creates skip regions for every line in rect within the buffer.

RETURN VALUE
These functions return nothing

SEE ALSO
tickit_renderbuffer_new(3), tickit_renderbuffer_blit(3), tickit_renderbuffer_flush_to_term(3), tickit_renderbuffer(7), tickit(7)